Bug 1578246 (CVE-2018-3750) - CVE-2018-3750 nodejs-deep-extend: Prototype pollution can allow attackers to modify object properties
Summary: CVE-2018-3750 nodejs-deep-extend: Prototype pollution can allow attackers to ...
Keywords:
Status: CLOSED NEXTRELEASE
Alias: CVE-2018-3750
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
low
low
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard:
Depends On: 1579428 1578247 1578248 1578586 1579426 1579427
Blocks: 1578251
TreeView+ depends on / blocked
 
Reported: 2018-05-15 06:14 UTC by Sam Fowler
Modified: 2019-09-29 14:39 UTC (History)
23 users (show)

Fixed In Version: nodejs-deep-extend 0.5.1
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-03-23 08:25:59 UTC


Attachments (Terms of Use)

Description Sam Fowler 2018-05-15 06:14:16 UTC
Versions of deep-extend before 0.5.1 are vulnerable to prototype pollution. Under certain circumstances an attacker can add or modify properties that will exist on all objects.


External References:

https://nodesecurity.io/advisories/612
https://hackerone.com/reports/311333

Comment 1 Sam Fowler 2018-05-15 06:14:44 UTC
Created nodejs-deep-extend tracking bugs for this issue:

Affects: epel-all [bug 1578247]
Affects: fedora-all [bug 1578248]

Comment 6 Jason Shepherd 2018-06-13 21:30:27 UTC
NodeJS is shipped in Openshift Enterprise 3.9 as ImageStreams. Those ImageStreams are the RH Software Collection images. Setting Openshift Enterprise 3 as not affected.


Note You need to log in before you can comment on or make changes to this bug.